# TFTP
This is the documentation of the TFTP task
## Initialization
The TFTP task is initialized in the main function.
```c
// Initialize TFTP task
tftp_init();
```
## Deinitialization
If you would ever want to deinitialize the TFTP task, you can do so by calling the following function.
```c
// Deinitialize TFTP task
tftp_server_deinit();
```

## Usage
The TFTP task is used to receive and send files via TFTP.
### Receive a file
index.txt contains a list of files on the file system.
```bash
bash $ tftp <ip>
tftp $ get index.txt
```
### Send a file
You can only write to the following files:
- virtImage.bmp
```bash
bash $ tftp <ip>
tftp $ put <image.bmp> virtImage.bmp
```
- virtImage.gif
```bash
bash $ tftp <ip>
tftp $ put <image.gif> virtImage.gif
```
